PCRE2_SET_COMPILE_EXTRA_OPTIONS(3)

NAME
PCRE2 - Perl-compatible regular expressions (revised API)

SYNOPSIS

#include <pcre2.h>

int pcre2_set_compile_extra_options(pcre2_compile_context *ccontext,
  PCRE2_SIZE extra_options);

DESCRIPTION

This function sets additional option bits for pcre2_compile() that are housed in a compile context. It completely replaces all the bits. The extra options are:

  PCRE2_EXTRA_ALLOW_SURROGATE_ESCAPES Allow \x{df800} to \x{dfff}
                        in UTF-8 and UTF-32 modes
  PCRE2_EXTRA_BAD_ESCAPE_IS_LITERAL Treat all invalid escapes as
                        a literal following character
  PCRE2_EXTRA_MATCH_LINE Pattern matches whole lines
  PCRE2_EXTRA_MATCH_WORD Pattern matches "words"

There is a complete description of the PCRE2 native API in the pcre2api page and a description of the POSIX API in the pcre2posix page.